### Class

# Snapd App

since: 1.0

#### Description [src]

    final class Snapd.App : GObject.Object
    {
      /* No available fields */
    }

`SnapdApp` contains information about an app in a Snap.

Snaps can contain apps which is a single binary executable.

Available since: 1.0

#### Ancestors

- GObject

#### Instance methods

###### snapd_app_get_active

Get if this service is active.

since: 1.25

###### snapd_app_get_aliases

Get the aliases for this app.

deprecated: 1.25 since: 1.7

###### snapd_app_get_common_id

Get the common ID associated with this app.

since: 1.41

###### snapd_app_get_daemon_type

Get the daemon type for this app.

since: 1.9

###### snapd_app_get_desktop_file

Get the path to the desktop file for this app.

since: 1.14

###### snapd_app_get_enabled

Get if this service is enabled.

since: 1.25

###### snapd_app_get_name

Get the name of this app.

since: 1.0

###### snapd_app_get_snap

Get the snap this app is associated with.

since: 1.25

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.App:active

No description available.

###### Snapd.App:aliases

No description available.

###### Snapd.App:common-id

No description available.

###### Snapd.App:daemon-type

No description available.

###### Snapd.App:desktop-file

No description available.

###### Snapd.App:enabled

No description available.

###### Snapd.App:name

No description available.

###### Snapd.App:snap

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdAppClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.